Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225007

Summary: xine: couldn't find demux for >/home/mwest/.kaxtv1.ts<
Product: [Fedora] Fedora Reporter: Martin West <martin>
Component: xine-libAssignee: Aurelien Bompard <gauret>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: rdieter, ville.skytta
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-01-31 19:19:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Martin West 2007-01-27 10:46:22 UTC
Description of problem:

After a recent update kaffeine/xine throws a wobbly trying to use DVB.

Version-Release number of selected component (if applicable):

Installed Packages
kaffeine.i386                            0.8.3-2.fc6            installed


How reproducible:

Steps to Reproduce:

1.nstall latest upgrades, 
2.start kaffeine, 
3.select TV/DVB
4.select a channel.
  
Actual results:

xine: couldn't find demux for >/home/mwest/.kaxtv1.ts<
video_decoder: no plugin available to handle 'XviD'

Expected results:

No error messages and see the TV output

Additional info:

DVBStream works fine
dvbstream v0.6 - (C) Dave Chapman 2001-2004
Released under the GPL.
Latest version available from http://www.linuxstb.org/
Tuning to 650166670 Hz
Using DVB card "Conexant CX22702 DVB-T", freq=650166670
tuning DVB-T (in United Kingdom) to 650166670 Hz, Bandwidth: 8
Getting frontend status
Event:  Frequency: 650166670
Bit error rate: 0
Signal strength: 15934
SNR: 65535
UNC: 0
FE_STATUS: FE_HAS_SIGNAL FE_HAS_LOCK FE_HAS_CARRIER FE_HAS_VITERBI FE_HAS_SYNC
dvbstream will stop after 60 seconds (1 minutes)

xine versions:
Installed Packages
libXinerama.i386                         1.0.1-2.1              installed
libXinerama-devel.i386                   1.0.1-2.1              installed
xine-lib.i386                            1.1.3-3.fc6            installed

Comment 1 Rex Dieter 2007-01-31 19:04:22 UTC
This could be it:
> video_decoder: no plugin available to handle 'Xvid'
Fedora's xine-lib doesn't include Xvid support.

Re-assigning to xine-lib for confirmation.

Comment 2 Ville Skyttä 2007-01-31 19:19:39 UTC
Confirmed.  There are a few 3rd party repositories around that ship add-on
xine-lib packages containing that functionality.  But it does strike me a bit
odd why xvid would be needed for DVB, I thought it'd be basically all MPEG2. 
There's no MPEG decoder included in the FE xine-lib either, though.

Comment 3 Martin West 2007-01-31 23:53:35 UTC
Very odd - it did work before a recent update, any ideas what caused this change?

Comment 4 Martin West 2007-02-01 19:04:07 UTC
I installed FC6 from DVD and at that point it was working. I did the big upgrade
and then some other updates and then when I went to use it I got the above problem.

Comment 5 Rex Dieter 2007-02-03 02:02:59 UTC
It appears kernel-2.6.19 may be a culprit, on the kaffeine-devel ml, another fc6
user just reported a once-working machine with dvb, stopped after upgrading to
kernel-2.6.19.


Comment 6 Martin West 2007-02-03 14:58:48 UTC
Thanks, Looking back thru the history I also installed kino from freshrpms which
updates a number of related artifacts.